        SUBROUTINE SWAP (C,D)
        WRITE (6,11) C,D
  11    FORMAT (1X,  'C IS ', F6.3, ' AND D IS ' , F6.3)
        ITEMP = C
        C = D
        D = ITEMP
        WRITE (6,11) C,D
        RETURN
        END

        A = 5.6
        B = 2.34

        WRITE (6,10) A,B
  10    FORMAT (1X,  'A IS ', F6.3, ' AND B IS ' , F6.3)
        CALL SWAP (A,B)
        WRITE (6,10) A,B
        STOP
        END

